When tasks are processing in the background, a small circle of arrows trailing each other appears on the status bar, and the Background Tasks window opens. This indicates that the system is processing a task in the background and that you can continue working. For example, you can enter an invoice while a report is printing in the background. The Background Tasks window flashes when a task processing in the background is completed.

The Background Tasks window displays the task, start date and time, percent complete, end date and time, and current status for background tasks. These background tasks can be terminated, suspended, or resumed if they are not complete.

Type your drop-down text here.

When tasks are processing in the background, a small circle of arrows trailing each other appears on the status bar, and the Background Tasks window opens. This indicates that the system is processing a task in the background and that you can continue working. For example, you can enter an invoice while a report is printing in the background. The Background Tasks window flashes when a task processing in the background is completed.

The Background Tasks window displays the task, start date and time, percent complete, end date and time, and current status for background tasks. These background tasks can be terminated, suspended, or resumed if they are not complete.

Viewing background tasks

click here Overview

  1. From the Tools menu, select Background Tasks.

  2. Review the status of the tasks that are processing. For example, File Doctor processes in the background and is listed in the window if files were recently compacted.

  3. If necessary, terminate a background task. How?

  4. If necessary, suspend a background task. How?

  5. If necessary, resume the processing of a background task. How?

  6. From the Tasks menu, select Exit.

Warning Do not shut down your computer while a background task is still processing. Note that the Background Tasks window minimizes if you try to close the window while background tasks are still processing.


After starting a process, you might quickly realize that you want to prioritize tasks differently. For example, you might begin printing a report and realize someone else needs the printer for a higher priority printing. In this case, suspend the processing, and resume it later. However, once a task is complete, it cannot be suspended.

After starting a process, you might quickly realize that you want to prioritize tasks differently. For example, you might begin printing a report and realize someone else needs the printer for a higher priority printing. In this case, suspend the processing, and resume it later. However, once a task is complete, it cannot be suspended.

Suspending background tasks

click here Overview

1 From the Tools menu, select Background Tasks.

2 Select the process to suspend.

3 From the Tasks menu, select Suspend. You can also right-click in the task list and click Suspend on the shortcut menu.

4 When you are ready, select Resume or Terminate from the Tasks menu to resume or terminate processing.

5 From the Tasks menu, select Exit.

Warning Do not shut down your computer while a background task is still processing. Note that the Background Tasks window minimizes if you try to close the window while background tasks are still processing.


Resuming background tasks

click here Overview

1 From the Tools menu, select Background Tasks.

2 Select the process to resume.

3 From the Tasks menu, select Resume. You can also right-click in the task list and click Resume on the shortcut menu.

4 From the Tasks menu, select Exit.

Warning Do not shut down your computer while a background task is still processing. Note that the Background Tasks window minimizes if you try to close the window while background tasks are still processing.


After starting a process, you might quickly realize that you do not want to finish the task. For example, you begin to print a report and realize the report prompts are incorrect. It is possible to terminate processing, but once a process is complete, it cannot be terminated. However, in the case of printing a report, you may be able to cancel the print job from the printer queue.

After starting a process, you might quickly realize that you do not want to finish the task. For example, you begin to print a report and realize the report prompts are incorrect. It is possible to terminate processing, but once a process is complete, it cannot be terminated. However, in the case of printing a report, you may be able to cancel the print job from the printer queue.

Terminating background tasks

click here Overview

  1. From the Tools menu, select Background Tasks.

  2. Select the process to terminate.

  3. From the Tasks menu, select Terminate. You can also right-click in the task list and click Terminate on the shortcut menu.

  4. Double check that you have selected the correct task, and click [Yes] when asked to verify that you want to terminate the task.

  5. From the Tasks menu, select Exit.

Warnings

  • Timberline does not recommend terminating tasks such as posting, for which data is changing as processing occurs. However, items such as printing reports do not change data as they process and are safe to terminate.

  • Do not shut down your computer while a background task is still processing. Note that the Background Tasks window minimizes if you try to close the window while background tasks are still processing.


Terminate (Tasks menu)

Use to stop processing the highlighted action in the task list. You can terminate background tasks that do not modify data. For example, tasks such as printing reports do not change data and are safe to terminate. However, tasks such as posting, closing a period, importing entries, and moving entries are tasks which modify data while processing and should not be terminated.


Suspend (Tasks menu)

Use to temporarily stop processing the highlighted task in the list.


Resume (Tasks menu)

Use to begin processing an action that was previously suspended.


Exit (Tasks menu)

Use to end the application. You are notified if any background tasks are still processing. You can still end the application, but do not turn off your computer until all background tasks have finished processing.


Window number (Tasks menu)

Use to select the window you want to view. Each open window is numbered in the list (1, 2, 3, etc.).


1_1001

Terminate

Use to stop processing the highlighted action in the task list. You can terminate background tasks that do not modify data.

See Terminating background tasks for detailed instructions.


1_1002

Suspend

Use to temporarily stop processing the highlighted task in the list.

See Suspending background tasks for detailed instructions.


1_1003

Resume

Use to begin processing an action that was previously suspended.

See Resuming background tasks for detailed instructions.


1_1999

Exit

Use to end the application. You are notified if any background tasks are still processing. You can still end the application, but do not turn off your computer until all background tasks are finished processing. You should always end the application using Exit rather than just turning off your computer.

See Viewing background tasks for detailed instructions.


1_61215

Window number

Use to select the window you want to view. Each open window is numbered in the list (1, 2, 3, etc.).


Task list

Displays the following information about each background task:

¡ Task—A description of the task.

¡ Start Time—The date and time the task began.

¡ Percent Complete—The percent of the task that is complete.

¡ End Time—The date and time the task successfully completed.

¡ Status—The current status of the task. See About the status of background tasks for more information.


About the status of background tasks

The Background Tasks window displays the status of each task. The status can vary from task to task. The following table lists the statuses that may display, although other messages may also appear depending on the command.

The status | Indicates
Aborted | The task has ended abnormally. The reason for the abort is included. From the Help menu, select Timberline System Log to check for error messages.
Active | The task is still processing in the background.
Completed with Errors | One or more files couldn't be upgraded. Check for error messages on the upgrade report.
Failed | The task cannot be completed. Although it is a good idea to check the Timberline system log for error messages, processing probably stopped due to external causes. For that reason, it is unlikely that an error is entered in the log file.
Suspended | The task has temporarily stopped. To resume processing, highlight the task and select Resume from the Tasks menu.
Terminated | The task has stopped processing. To begin processing the task again, choose the same command that was used originally.